package cn.service.task;

import org.springframework.stereotype.Component;
import cn.util.core.LogKit;

/**定时任务调度测试 案例 见java文档*/
@Component("Task")
public class Task {

    public void mdMultipleParams(String s, Boolean b, Long l, Double d, Integer i)
    {
        LogKit.info("执行多参方法： 字符串类型{}，布尔类型{}，长整型{}，浮点型{}，整形{}", s, b, l, d, i);
    }

    public void mdParams(String params) throws InterruptedException {
    	System.out.println("执行有参方法1");
    	Thread.sleep(2000);
        LogKit.info("执行有参方法：" + params);
    }

    public void mdNoParams()
    {
    	 LogKit.info("执行无参方法");
    }
}
